with GNATCOM.Dispinterface;

package MSHTML.ISVGTextPositioningElement_Object is

   type ISVGTextPositioningElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_x
     (This : ISVGTextPositioningElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_x
     (This : ISVGTextPositioningElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_y
     (This : ISVGTextPositioningElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_y
     (This : ISVGTextPositioningElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_dx
     (This : ISVGTextPositioningElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_dx
     (This : ISVGTextPositioningElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_dy
     (This : ISVGTextPositioningElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_dy
     (This : ISVGTextPositioningElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_rotate
     (This : ISVGTextPositioningElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_rotate
     (This : ISVGTextPositioningElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGTextPositioningElement_Object;

